snd_rawmidi_new
Prev | Chapter 24. Sound Devices | Next

## Name

snd_rawmidi_new — create a rawmidi instance

## Synopsis

`int snd_rawmidi_new (` | struct snd_card * | card,
| char * | id,
| int | device,
| int | output_count,
| int | input_count,
| struct snd_rawmidi ** | rrawmidi`)`;

## Arguments

`card`

  the card instance

`id`

  the id string

`device`

  the device index

`output_count`

  the number of output streams

`input_count`

  the number of input streams

`rrawmidi`

  the pointer to store the new rawmidi instance

## Description

Creates a new rawmidi instance. Use `snd_rawmidi_set_ops` to set the operators to the new instance.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_rawmidi_transmit | Home | snd_rawmidi_set_ops